### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions
QuantoTermStructure Class Reference

Quanto term structure. More...

`#include <ql/termstructures/yield/quantotermstructure.hpp>`

Inheritance diagram for QuantoTermStructure:
[legend]

List of all members.

## Public Member Functions

| QuantoTermStructure (const Handle< YieldTermStructure > &underlyingDividendTS, const Handle< YieldTermStructure > &riskFreeTS, const Handle< YieldTermStructure > &foreignRiskFreeTS, const Handle< BlackVolTermStructure > &underlyingBlackVolTS, Real strike, const Handle< BlackVolTermStructure > &exchRateBlackVolTS, Real exchRateATMlevel, Real underlyingExchRateCorrelation)
YieldTermStructure interface
DayCounter | dayCounter () const
| the day counter used for date/time conversion
Calendar | calendar () const
| the calendar used for reference and/or option date calculation
Natural | settlementDays () const
| the settlementDays used for reference date calculation
const Date & | referenceDate () const
| the date at which discount = 1.0 and/or variance = 0.0
Date | maxDate () const
| the latest date for which the curve can return values

## Protected Member Functions

Rate | zeroYieldImpl (Time) const
| returns the zero yield as seen from the evaluation date

## Detailed Description

Quanto term structure.

Quanto term structure for modelling quanto effect in option pricing.

Note:
  This term structure will remain linked to the original structures, i.e., any changes in the latters will be reflected in this structure as well.